# **Vungle SDK License and Publisher Terms**
This Vungle SDK and Publisher Terms (“Agreement”) is made available by Vungle, Inc. (“Vungle”). By downloading or using the Vungle SDK, you and any company, entity, or organization on behalf of which you are accepting this Agreement (“Developer”) hereby agrees to be bound by all terms and conditions of this Agreement, and you represent and warrant that you are an authorized representative of Developer with the authority to bind Developer to this Agreement. IF YOU DO NOT AGREE TO ALL TERMS AND CONDITIONS OF THIS AGREEMENT, DO NOT DOWNLOAD OR USE THE VUNGLE SDK.


### 1. Definitions.

A. “Advertisers” means third-party advertisers.

B. “Developer Apps” means the mobile applications owned and/or controlled by Developer, including all content, images, music and text contained therein, that Developer wishes to use with the Vungle SDK and Vungle Platform.

C. “IO” means a fully executed insertion order, in the form of Exhibit A attached hereto, containing advertising campaign details for user acquisitions and campaigns run by Developer on Vungle’s Platform.

D. “Vungle Ads” means video advertisements, sourced by or on behalf of Vungle, which are routed and/or served by the Vungle Platform to the Developer Apps.

E. “Vungle Platform” means Vungle’s hosted video advertising system, which supports video advertisement insertion within mobile applications, and related advertisement reporting tools.

F. “Vungle SDK” means the software development kit and any other software and documentation that may be provided by Vungle to Developer with the software development kit, including any updates thereto.


### 2. Vungle SDK License.

A. License Grant. Subject to the terms and conditions of this Agreement, Vungle grants Developer a non-exclusive, non-transferable, non-sublicenseable, worldwide license to: 
(a) integrate the Vungle SDK with Developer Apps solely for internaluse; (b) use, reproduce and distribute certain portions of the Vungle SDK as required for Developer’s distribution of Developer Apps, solely as enabled by, and in accordance with documentation provided by Vungle; provided that, any distribution to an end user will be subject to terms that protect the Vungle SDK in a manner at least as protective as set forth herein; and (c) use the Vungle SDK and Vungle Platform to have video advertisements, including Vungle Ads, inserted within Developer Apps, solely as enabled by, and in accordance with documentation provided by Vungle, and pursuant to this Agreement.

B. SDK Updates. Vungle periodically releases new versions of the Vungle SDK which may contain new features and fixes, and Vungle may sunset versions of the Vungle SDK that are older than 24 months. Developer is encouraged to check the Vungle website from time to time for the latest version releases, and to download and integrate such new versions within the Developer Apps , subject to this Agreement (including any amendments).

C. License Restrictions. Except as expressly provided in this Agreement, Developer shall not (and shall not allow any third party to): (a) decompile, reverse engineer, disassemble, modify, adapt, create derivative works of, copy or distribute the Vungle SDK or Vungle Platform, (b) modify, remove, or obscure any copyright, trademark,
patent or other proprietary notices or legends from the Vungle SDK or Vungle Platform; (c) copy, distribute, rent, lease, lend, sublicense, transfer or make the Vungle SDK or Vungle Platform available to any third party, and (d) use the Vungle SDK or Vungle Platform to develop, upload, or transmit any software viruses or other computer code, files or programs designed to interrupt, destroy, or limit the functionality of any software or hardware.


### 3. Intellectual Property. 

All ownership rights, title, and interest in and to the Vungle SDK and Vungle Platform, including all intellectual property rights therein, as such may be modified, upgraded, or enhanced from time to time (“Vungle Property”) will remain and belong exclusively to Vungle. Vungle reserves all rights not expressly granted to Developer herein. Developer shall retain all ownership rights, title and interest in and to the Developer Apps, including all intellectual property rights therein, as such may be modified, upgraded or enhanced from time to time. If Developer elects to provide any suggestions, comments, improvements, ideas or other feedback or materials to Vungle (collectively, “Feedback”), Developer hereby grants Vungle the right to freely use, copy, disclose, license, distribute and exploit any such Feedback in any manner without any obligation, royalty or restriction based on intellectual property rights or otherwise.


### 4. Advertising via The Vungle Platform.

A. Vungle Insertion & Sale of Ads. Developer hereby grants Vungle the right to sell, and have sold, advertisement inventory in the Developer Apps, and to insert Vungle Ads within such inventory. Unless expressly agreed in writing, Vungle makes no guarantee that any level or amount of Advertising will be placed in the Developer Apps. In addition, Developer hereby grants Vungle the non-exclusive, worldwide right and license to use, reproduce, distribute and display Developer’s and the Developer Apps’ trademarks, logos, and images of the Develop Apps, in connection with the sale of Vungle Ads hereunder, including (a) listing the Developer Apps and inventory in pitch materials to prospective Advertisers; (b) reporting the inclusion of Developer Apps and inventory as part of Vungle’s advertising network, and (c) identifying the Developer as a publishing partner on Vungle’s website and other marketing materials.

B. Developer Ad Campaigns. For user acquisitions and other campaigns run by Developer on the Vungle Platform, Developer shall provide Vungle with a signed IO. The terms of the IO, including the Interactive Advertising Bureau terms and conditions incorporated into the IO (the “IAB Terms”) shall govern such advertising campaigns. In the event of any conflict between the IO and such IAB Terms, the IO shall govern and control with respect to such campaign.

C. Developer Apps Content Policy. The Developer Apps will not contain, consist of, or promote discrimination, illegal activities, hate speech, defamation, graphic violence, firearms, tobacco, illegal drugs, pornography, profanity, obscenity or sexually explicit material (“Developer Apps Content Policy”). Developer will notify Vungle immediately of any Developer Apps relating to alcohol or gambling. Developer agrees that Vungle has no responsibility for the Developer Apps, including any content therein, and Vungle has no obligation or ability to monitor or edit the Developer Apps. Developer will provide as much advance written notice as reasonably practicable, but in no event less than fifteen (15) days’ notice, regarding any material changes to the nature or design of any Developer App, including without limitation, changes to the placement of Vungle Ad inventory, any action that will increase or reduce expected Vungle Ad inventory within the Developer Apps, the type of content contained within the Developer Apps, or the target audience of the Developer Apps.

D. Ad Restrictions. Developer may not, and may not authorize or encourage any third party to: (i) generate fraudulent impressions of, or fraudulent clicks on any Vungle Ads, including through repeated manual clicks, the use of robots or other automated tools or any other method that may lead to artificially high numbers of impressions, downloads, installs or clicks; (ii) edit, modify, filter, or change the order of the information contained in any Vungle Ad, or remove, obscure or minimize any Vungle Ad in any way; (iii) redirect an end user away from any web page or app accessed by an end user after selecting or clicking on any part of a Vungle Ad (“Advertiser Page”), provide a version of the Advertiser Page different from the page an end user would access by going directly to the Advertiser Page, or intersperse any content between the Vungle Ads and the Advertiser Page; and (iv) utilize incentivized installs. Developer shall promptly notify Vungle if it suspects that any third party may be tampering with, abusing or manipulating the Vungle Platform or the Vungle Ads within the Developer App. Vungle may suspend Developer’s use of the Vungle Platform and/or terminate this Agreement immediately should Developer violate the foregoing provisions of this Section, and Developer shall not be entitled to any revenue associated with the applicable campaign(s).


### 5. Data & Privacy.

A. Collection of Data. Developer acknowledges and agrees that non- personally identifiable unique identifiers and other technologies may be used in connection with the performance of this Agreement in order to collect and use non-personally identifiable data from end users and their devices (“App Data”) in connection with advertisement performance, targeting, and end user interests (“Performance Data”), and to display Vungle Ads to end users. Developer agrees that in connection with Vungle Ads, Vungle may access or call to the Developer Apps, or the servers that make them available, and cause the routing, transmission, reproduction, and display of Vungle Ads as contemplated herein. Additionally, Developer agrees that Vungle may collect App Data and Performance Data, including unique identifiers, usage data, and streaming data, with regard to the Developer Apps (and included content) within which Vungle Ads are routed and/or served and (i) disclose such information to third parties (including Advertisers and attribution partners) as reasonably necessary in connection with the operation of the Vungle Platform, (ii) disclose such data if required by any court order, process, law or governmental agency; (iii) disclose such data generally when it is aggregated, such that the specific information relating to Developer is not identified as such; and (iv) use such information for Vungle’s internal business purposes, including to develop and improve the Vungle SDK and Vungle Platform. Vungle will collect and use the data in accordance with the [Vungle Privacy Policy](http://vungle.com/privacy/) as updated from time to time and is hereby incorporated by reference.

B. Compliance with Laws. Developer agrees to comply with all Privacy Requirements (as defined below), including conspicuously posting a privacy policy that accurately describes the Developer’s and third parties’ collection, use, and disclosure of end user data from the Developer Apps, which include disclosure that third parties may collect or receive information and use that information to provide measurement services and targeted ads, and disclosure of how and
where users can opt-out of collection and use of information for ad targeting. Developer will not pass any personally-identifiable information to Vungle unless expressly permitted in writing, and as permitted under any Privacy Requirements. Developer represents and warrants that any data Developer provides to Vungle regarding devices, location, or users, and the ability for Vungle to collect the App Data and Performance Data, is permitted and provided in compliance with all Privacy Requirements including Developer’s posted privacy policy. Developer further represents and warrants that it has made any and all disclosures and obtained any and all consents or permissions required by law with respect to Developer’s privacy practices, including without limitation: (a) any end user data Developer collects, uses, and/or discloses, (b) the use and disclosure of App Data and Performance Data to Vungle via the Vungle SDK and Vungle Platform, and (c) notice and parental consent required by the Children’s Online Privacy Protection Act (“COPPA”). Vungle reserves the right to modify, suspend, or terminate this Agreement should Developer violate this Section, and/or to remain compliant with law.

C. “Privacy Requirements” means all 
(i) applicable laws (including COPPA), governmental regulations, court or government agency orders, and decrees relating in any manner to the collection, use, or dissemination of information from or about users, user traffic, or otherwise relating to privacy rights,; and 
(ii) Developer’s posted privacy policy.


### 6. Developer Payments.

A. Developer Payment. Subject to the terms and conditions of this Agreement, Vungle shall pay to Developer amounts calculated based on a percentage of the Net Revenue (defined below) received by Vungle from CPI, CPM, CPCV or CPC based IOs (the “Developer Payment”) for Vungle Ads placed in Developers App as determined by Vungle. “Net Revenue” means the gross revenue actually collected by Vungle from Advertisers for Vungle Ads, less (i) any refunds to Advertisers; (ii) a deduction of up to 10% to cover expenses related to Advertiser discounts, payment transaction fees, telecommunications, data center and other serving costs, (iii) any amounts payable by Vungle to providers of targeting, reporting, verification or other data, technology or services used in connection with a given campaign hereunder. The Developer Payment shall be based on the impression or app installation counts used by the applicable Advertiser(s). For the avoidance of doubt, all Developer Payments are based on advertisement requests from the Developer Apps that are actually fulfilled with Vungle Ads. All revenue received from activities that Vungle deems to be fraudulent may be refunded to the Advertiser(s) in Vungle’s sole discretion.

B. Payment Terms. Vungle will pay any Developer Payment due to Developer 60 days after the completion of the month in which such campaign runs; provided that, Vungle may withhold payment until the following month for Developer Payment amounts less than USD 50 U.S. Developer shall be responsible for any bank, transfer or transaction fees (e.g., PayPal). Vungle may deduct any withholding, sales, value added, and other applicable taxes (other than its net income taxes) as required by law. Developer is responsible for paying any other taxes, duties, or fees for which Developer is legally responsible.


### 7. Term and Termination.

A. Term. This Agreement is effective until terminated in accordance with this Agreement.

B. Termination by Vungle. Vungle may terminate this Agreement at any time by providing sixty (60) days’ notice to Developer. Additionally, Vungle may terminate this Agreement immediately if Developer breaches any provision of this Agreement.

C. Termination by Developer. Developer may terminate this Agreement at any time by providing written notice to Vungle (email to suffice), ceasing all use of the Vungle Platform and Vungle Property, and destroying or removing from all hard drives, networks, and other storage media all copies of the Vungle Property.

D. Effect of Termination. Upon termination of this Agreement by Developer, the Agreement (including all rights and licenses granted and obligations assumed hereunder) will remain in force and effect until the completion of all Vungle Ad campaigns associated with the Developer Apps in effect on the date of such termination (“Sell-Off Period”). Vungle’s payment obligations will remain in effect during the Sell-Off Period. Upon any termination of this Agreement, each party will promptly return or destroy all copies of any Confidential Information in its possession or control. Sections 3, 7(D) through 13 shall survive any expiration or termination of this Agreement.


### 8. Confidentiality.

A. Definition. “Confidential Information” means any and all business, technical and financial information or material of a party, whether revealed orally, visually, or in tangible or electronic form, that is not generally known to the public, which is disclosed to or made available by one party (the “Disclosing Party”) to the other, or which one party becomes aware of pursuant to this Agreement (the “Receiving Party”). The Vungle SDK is Vungle’s Confidential Information, and the terms and conditions of this Agreement shall remain confidential. The failure of a Disclosing Party to designate as “confidential” any such information or material at the time of disclosure shall not result in a loss of status as Confidential Information to the Disclosing Party. Confidential Information shall not include information which: (i) is in or has entered the public domain through no breach of this Agreement or other act by a Receiving Party; (ii) a Receiving Party rightfully knew prior to the time that it was disclosed to a Receiving Party hereunder; (iii) a Receiving Party received without restriction from a third-party lawfully possessing and lawfully entitled to disclose such information without breach of this Agreement; or (iv) was independently developed by employees of the Receiving Party who had no access to such information.

B. Use and Disclosure Restrictions. The Receiving Party shall not use the Confidential Information except as necessary to exercise its rights or perform its obligations under this Agreement, and shall not disclose the Confidential Information to any third party, except to those of its employees, subcontractors, and advisers that need to know such Confidential Information for the purposes of this Agreement, provided that each such employee, subcontractor, and advisor is subject to a written agreement that includes binding use and disclosure restrictions that are at least as protective of the Confidential Information as those set forth herein. The Receiving Party will use at least the efforts such party ordinarily uses with respect to its own confidential information of similar nature and importance to maintain the confidentiality of all Confidential Information in its possession or control, but in no event less than reasonable efforts. The foregoing obligations will not restrict the Receiving Party from disclosing any Confidential Information required by applicable law; provided that, the Receiving Party must use reasonable efforts to give the Disclosing Party advance notice thereof (i.e., so as to afford Disclosing Party an opportunity to intervene and seek an order or other relief for protecting its Confidential Information from any unauthorized use or disclosure) and the Confidential Information is only disclosed to the extent required by law. The Receiving Party shall return all of the Disclosing Party’s Confidential Information to the Disclosing Party or destroy the same, no later than fifteen (15) days after Disclosing Party’s request, or when Receiving Party no longer needs Confidential Information for its authorized purposes hereunder.


### 9. Representations and Warranties of Developer. 
Developer represents, warrants and covenants to Vungle that: (a) it has all necessary rights, title, and interest in and to the Developer Apps, and it has obtained all necessary rights, releases, and permissions to grant the rights granted to Vungle in this Agreement, including to allow Vungle to sell and insert the Vungle Ads as contemplated herein; (b) it shall not use the Vungle Platform to collect or discern any personally identifiable information of end users, or use the data received through the Vungle Platform to re-identify an individual; and (c) the Developer Apps will comply with the Developer Apps Content Policy, and will not infringe upon, violate, or misappropriate any third party right, including any intellectual property, privacy, or publicity rights.


### 10. Warranty Disclaimer. 
THE VUNGLE SDK AND VUNGLE PLATFORM ARE PROVIDED “AS IS”. VUNGLE DOES NOT MAKE ANY WARRANTIES, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT, FITNESS FOR A PARTICULAR PURPOSE, AND ANY IMPLIED WARRANTIES ARISING FROM COURSE OF DEALING OR PERFORMANCE. VUNGLE AND ITS SUPPLIERS, LICENSORS, AND PARTNERS DO NOT WARRANT THAT THE VUNGLE PLATFORM OR VUNGLE SDK WILL BE CORRECT, UNINTERRUPTED OR ERROR-FREE, THAT DEFECTS WILL BE CORRECTED, OR THAT THE VUNGLE PLATFORM OR VUNGLE SDK ARE FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. VUNGLE DOES NOT WARRANT THE RESULTS OF USE OF THE VUNGLE PLATFORM OR VUNGLE SDK. DEVELOPER ACKNOWLEDGES THAT VUNGLE MAY MODIFY OR SUSPEND THE VUNGLE PLATFORM AT ANY TIME IN ITS SOLE DISCRETION AND WITHOUT NOTICE.


### 11. Indemnification.

A. Developer Indemnification. Developer agrees to indemnify, defend, and hold harmless Vungle and its affiliates, and their directors, officers, employees, and agents from and against any liabilities, damages, costs and expenses (including reasonable attorneys’ fees) arising out of any claim, demand, action, or proceeding initiated by a third party arising from or in connection with any breach of Developer’s obligations, representations or warranties set forth in this Agreement; provided that, Vungle: (a) promptly notifies Developer in writing of the claim, except that any failure to provide this notice promptly only relieves Developer of its responsibility to the extent its defense is materially prejudiced by the delay; (b) grants Developer sole control of the defense and/or settlement of the claim; and (c) reasonably cooperates with Developer in connection with such claim at Developer’s cost and expense.

B. Vungle Indemnification. Vungle agrees to indemnify, reimburse and hold harmless, Developer, its officers, directors, employees, and agents from and against any and all third party claims, liabilities, demands, causes of action, damages, losses and expenses, including, without limitation, reasonable attorneys' fees and costs of suit, arising out of or in connection with Vungle’s infringement or misappropriation of a third party U.S. copyright, trademark or trade secret by the use of the Vungle Platform and/or the Vungle SDK by Developer as permitted hereunder; provided that, Developer: (a) promptly notifies Vungle in writing of the claim, except that any failure to provide this notice promptly only relieves Vungle of its responsibility to the extent its defense is materially prejudiced by the delay; (b) grants Vungle sole control of the defense and/or settlement of the claim; and (c) reasonably cooperates with Vungle in connection with such claim at Vungle’s cost and expense. In addition, if the use of the Vungle Property by Developer has become, or in Vungle’s opinion is likely to become, the subject of any claim of infringement, Vungle may at its option and expense (i) procure for Developer the right to continue using the Vungle Property as set forth hereunder; (ii) replace or modify the Vungle Property to make it non-infringing so long as the Vungle Property has substantially equivalent functionality; or (iii) if options (i) or (ii) are not reasonably practicable, terminate this Agreement. Vungle shall have no liability or obligation under this Section with respect to any claim if such claim is caused in whole or in part by (x) compliance with designs, data, instructions, or specifications provided by Developer; (y) modification of the Vungle Property by any party other than Vungle without Vungle’s express consent; or (z) the combination, operation, or use of the Vungle Property with other applications, portions of applications, product(s), data or services where the Vungle Property would not by itself be infringing unless Vungle has required or expressly allowed such combination, operation, or use. THE INDEMNIFICATION RIGHTS CONTAINED IN THIS SECTION 11 ARE DEVELOPER’S SOLE REMEDY FOR THIRD PARTY INFRINGEMENT CLAIMS RELATING TO VUNGLE’S SDK AND THE VUNGLE PLATFORM.


### 12. Limitation of Liability. 
EXCEPT WITH RESPECT TO INDEMNIFICATION OBLIGATIONS HEREIN AND BREACHES OF SECTION 2 (VUNGLE SDK LICENSE), NEITHER PARTY SHALL BE LIABLE TO OTHER PARTY FOR ANY PUNITIVE, INCIDENTAL, INDIRECT, SPECIAL, RELIANCE OR CONSEQUENTIAL DAMAGES, INCLUDING LOST BUSINESS, DATA, REVENUE, OR ANTICIPATED PROFITS, WHETHER BASED ON BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, AND WHETHER OR NOT A PARTY WAS ADVISED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGES. EXCEPT WITH RESPECT TO INDEMNIFICATION OBLIGATIONS HEREIN AND BREACHES OF SECTION 2 (VUNGLE SDK LICENSE), IN NO EVENT WILL EITHER PARTY’S AGGREGATE LIABILITY UNDER THIS AGREEMENT EXCEED THE TOTAL DEVELOPER PAYMENT PAYABLE TO DEVELOPER UNDER THIS AGREEMENT BY VUNGLE IN THE TWELVE (12) MONTH PERIOD IMMEDIATELY PRECEDING THE DATE OF THE CLAIM.


### 13. General.

A. Relationship of the Parties. Each Party shall be and act as an independent contractor and not as partner, joint venturer, or agent of the other. No party shall have any right to obligate or bind any other party.

B. Assignment. Neither party may assign any of its rights or obligations under this Agreement without the prior written consent of the other party, except in connection with any merger (by operation of law or otherwise), consolidation, reorganization, change in control or sale of all or substantially all of its assets related to this Agreement or similar transaction. Notwithstanding the foregoing, Developer may not assign this Agreement to a direct competitor of Vungle without Vungle’s prior written consent. This Agreement inures to the benefit of and shall be binding on the parties’ permitted assignees, transferees and successors.

C. Force Majeure. Neither party will be responsible for any failure or delay in its performance under this Agreement due to causes beyond its reasonable control, including, but not limited to, labor disputes, strikes, lockouts, internet or telecommunications failures, shortages of or inability to obtain labor, energy, or supplies, war, terrorism, riot, acts of
God or governmental action, acts by hackers or other malicious third parties and problems with the Internet generally, and such performance shall be excused to the extent that it is prevented or delayed by reason of any of the foregoing.

D. Notices. Vungle may provide Developer with business or operational notices via email or posting of such notice within the Vungle Platform. All legal notices under the terms of this Agreement shall be in writing and sent to Developer as provided to Vungle in the account information during the download of the SDK, and to Vungle in accordance with this Section. All notices in connection with this Agreement shall be deemed given (a) when personally delivered; (b) three (3) days after being sent by the United States of America mail, postage prepaid, certified or registered, return receipt requested; or (c) one (1) day after being sent by a reputable overnight delivery service. Notices to Vungle must be sent to: Vungle, Inc., 185 Clara St. #100, San Francisco, CA 94107, Attn: COO.

E. Amendments; Waiver. No changes or modifications or waivers are to be made to this Agreement unless evidenced in writing and signed for and on behalf of both parties. The failure by either party to insist upon the strict performance of this Agreement, or to exercise any term hereof, will not act as a waiver of any right, promise or term, which will continue in full force and effect.

F. Construction. This Agreement shall be fairly interpreted and construed in accordance with its terms and without strict interpretation or construction in favor of or against either party.

G. Severability. If any provision, or portion thereof, of this Agreement is determined by a court of competent jurisdiction to be invalid, illegal or unenforceable, such determination will not impair or affect the validity, legality, or enforceability of the remaining provisions of this Agreement, and each provision, or portion thereof, is hereby declared to be separate, severable, and distinct.

H. Governing Law; Jurisdiction. This Agreement shall be governed by, and construed in accordance with, the laws of the State of California, without reference to conflicts of laws principles. The parties agree that the federal and state courts in San Francisco County, California will have exclusive jurisdiction and venue under this Agreement, and the parties hereby agree to submit to such jurisdiction exclusively.

I. Entire Agreement. This Agreement, together with the Exhibit attached hereto and incorporated herein by reference, contains the entire understanding of the parties regarding its subject matter and supersedes all other agreements and understandings, whether oral or written.

J. Counterparts. This Agreement may be signed in counterparts, including by facsimile or electronic copy, each of which will be deemed an original, and all such counterparts together constituting one and the same Agreement.


******

## Vungle, Inc. Insertion Order

ACCEPTED AND AGREED to as of the date upon Developer’s download or use of the Vungle SDK by the authorized representative of each party.

### Exhibit A (Insertion Order)

This Advertising Insertion Order (“I/O”) is entered into between Vungle, Inc. (“Vungle”) and Advertiser, or if applicable Agency by and on behalf of the Advertiser, designated below (collectively “Customer”), and shall be subject to the. IAB Standard Terms & Conditions Version 3.0 located at [“IAB Terms”](http://www.iab.net/media/file/IAB_4As-tsandcs-FINAL.pdf), incorporated herein by this reference.  In the event of any conflict or inconsistency between the terms of this I/O and the IAB Terms, this I/O shall govern.


#### ADVERTISER CONTACT DETAILS

+ Legal Company Name:
+ Billing Address:
+ City:
+ State/Prov.:
+ Country:
+ Zip/Postal:
+ Business Contact:
+ Business Contact Phone Number:
+ Business Contact E-Mail:
+ Accounting Contact: 
+ Accounting Contact Phone Number: 
+ Accounting Contact E-Mail: 


#### VUNGLE CONTACT DETAILS

+ Address: 185 Clara St., Suite 100
+ City: San Francisco
+ State/Prov.: CA
+ Country: USA
+ Zip/Postal: 94107
+ Business Contact:
+ Business Contact Phone Number: 
+ Business Contact E-Mail: 
+ Accounting Contact: 
+ Accounting Contact Phone Number: 
+ Accounting Contact E-Mail: 


#### CAMPAIGN DETAILS

+ Application(s) & OS:
+ Flight Dates Start: 
+ Flight Dates End: 
+ Targeting - Device Type(s):
+ Targeting - OS Level:
+ Geos:
+ Pricing - Total Budget (USD):
+ Pricing - Bid (USD): 
+ Bid Type - Cost per Mille (CPM): 
+ Bid Type - Cost per Completed View (CPCV): 
+ Bid Type - Cost per click (CPC):
+ Bid Type - Cost per Install (CPI):
+ Caps - Daily Spend: 
+ Caps - Daily Views: 
+ Caps - Total Views: 


### ADDITIONAL COMMENTS

- Campaign Detail Modifications: Any e-mail communications delivered by Advertiser to Publisher or Vungle setting forth Campaign Details shall be deemed an amendment to his IO and shall become effective upon the earlier of (i) delivery of a written confirmation (e-mail acceptable) of the acceptance of such, or (ii) delivery of advertising services in accordance with terms set forth in such e-mail. Other than Campaign Details, no other terms of this IO may be amended except by a signed writing, executed by the authorized signatories of both parties.
- Metrics/Data: Vungle will provide results of the campaign through an online dashboard, where impressions, completed video views, clicks and installs will be reported. Billing will be based on Vungle reporting. Download attribution is available at Customer’s written request.
- Claim Window: 14 days (this means that for every click, the user has 14 days to open the app 
and register the install).
- Daily Caps: Due to pre-caching, daily caps are to be used as a guide, and are billable up to over 
10% of daily limit.
- Setting up Postbacks: It is imperative that the Customer alert Vungle regarding how 
Advertiser sets up the postback, and if any changes are made, how installs are tracked.
- Errors in Tracking: Vungle reserves the right to bill installs, even if the installs are not counted 
on the Dashboard, due to broken tracking.
- Creative License: Advertiser and Vungle agree to the terms in Appendix A Creative Assets License Agreement which are incorporated herein by this reference.
- Changes/Cancellation Policy: Customer must give 2 business days notice to Vungle with regards to any changes on Campaigns governed by this I/O, including cancellation. 
- Billable Expenses: Due to pre-caching, Budget may be exceeded and considered billable. All services rendered within Claim Window of IO completion, cancellation or termination shall be considered billable by Vungle.
- *PAYMENTS ARE DUE ON NET 30 TERMS*


******

## Appendix A - CREATIVE ASSETS LICENSE AGREEMENT

### RECITALS
The Parties have entered into a separate agreement under which Advertiser has subscribed to or is placing insertion orders through Vungle’s Mobile Advertising Services (the “Advertising Services”). As part of the Advertising Services, Vungle has agreed to create certain mobile or video advertisements (the “Creative Assets”) for Advertiser to publish only on the Vungle platform and Advertiser’s website (the “Advertiser Site”). In consideration of the mutual covenants and conditions stated herein, and for good and valuable consideration, the Parties agree as follows:

### AGREEMENT


#### 1. License Grant.

(a) License to Vungle. Advertiser grants to Vungle (and its contractors and other persons assisting in the creation of the Creative Assets) a worldwide, royalty-free, fully paid up, non-exclusive license to use, reproduce, distribute, adapt, modify, create derivative works of, perform, and display Advertiser’s intellectual property listed below (“Advertiser IP”) for the purpose of creating the Creative Assets. Subject to this license, Advertiser is the sole and exclusive owner of Advertiser IP and retains all right, title and interest in Advertiser IP. Vungle reserves the right to use produced creative for Vungle marketing activities and on Vungle's owned properties.

(b) License to Advertiser. Vungle grants to Advertiser a worldwide, royalty-free, non-sublicensable, non-exclusive, and non-transferable license to use, reproduce, distribute, display and perform the Creative Assets solely on Vungle’s Advertising Services platform and on the Advertiser Site. Subject to this license, Vungle is the sole and exclusive owner of the Creative Assets and retains all right, title and interest in the Creative Assets, except for the Advertiser IP. This license terminates when Advertiser has ceased or completed it use of the Advertising Services, or Vungle has terminated the provision of the Advertising Services or the Vungle platform to Advertiser.

(c) Restrictions. Advertiser may not (i) display, perform, reproduce, distribute, reproduce or use the Creative Assets on any advertising platform, app store page, website other than the Advertiser Site, location or medium not expressly specified in this Agreement, or (ii) modify or create derivative works of the Creative Assets without the prior written permission from Vungle.

#### 2. Warranties/Indemnification. 

Each Party warrants that it has the right to grant the licenses granted hereunder and that this agreement will not conflict or violate any other agreement to which that Party is bound. Except for the foregoing, each Party hereby disclaims all other warranties, express or implied, including without limitation, the implied warranties of merchantability or fitness for a particular use. Advertiser hereby agrees to defend, indemnify and hold harmless Vungle from any claim, loss, liability, lawsuit, damages or expenses (including attorney’s fees) arising out of the use of the Advertiser IP under this Agreement. Vungle hereby agrees to defend, indemnify and hold harmless Advertiser from any claim, loss, liability, lawsuit, damages or expenses (including attorney’s fees) arising out of the use of the Creative Assets in compliance with this Agreement, except to the extent such claims relate to the Advertiser IP.


### List of Advertiser IP
Any materials provided to Vungle for the purpose of creating the Creative Assets, including, without limitation, the following: